#!/bin/sh

DEFAULT_FS=`cat /proc/cmdline | grep "/dev/mtdblock3" | awk '{c++}END{if(c>0){print "true"}else{print "false"}}'`

if [ $DEFAULT_FS = "false" ]
then
echo "Default filesystem NOT running"
exit
fi

echo "Default filesystem IS running....starting recovery"

echo "Recover kernel..."
flash_eraseall /dev/mtd4
nandwrite -p /dev/mtd4 /dev/mtd2

echo "Recover filesystem..."
echo "  erasing..."
flash_eraseall /dev/mtd5 > /dev/null
umount /hiwrite
mkdir -p /hiwrite
mkdir -p /cathexis/copyfs
echo "  mounting..."
mount -t jffs2 /dev/mtdblock5 /cathexis/copyfs
mount -t jffs2 /dev/mtdblock6 /hiwrite
echo "  copying..."
cp -rf /hiwrite/* /cathexis/copyfs

for i in 1 2 3 4 5 
do 
  echo "1" > /dev/blueled
  echo "0" > /dev/redled
  sleep 1
  echo "0" > /dev/blueled
  echo "1" > /dev/redled
  sleep 1
done

reboot
